// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import "./default_localizations.dart";

import 'lang/es.dart';
import 'lang/es_419.dart';
import 'lang/ko.dart';
import 'lang/hu.dart';
import 'lang/id.dart';
import 'lang/pt.dart';
import 'lang/he.dart';
import 'lang/de.dart';
import 'lang/it.dart';
import 'lang/zh.dart';
import 'lang/zh_tw.dart';
import 'lang/uk.dart';
import 'lang/th.dart';
import 'lang/ar.dart';
import 'lang/tr.dart';
import 'lang/nl.dart';
import 'lang/pl.dart';
import 'lang/en.dart';
import 'lang/ja.dart';
import 'lang/hi.dart';
import 'lang/ru.dart';
import 'lang/fr.dart';

final localizations = <String, FirebaseUILocalizationLabels>{
  'es': const EsLocalizations(),
  'es_419': const Es419Localizations(),
  'ko': const KoLocalizations(),
  'hu': const HuLocalizations(),
  'id': const IdLocalizations(),
  'pt': const PtLocalizations(),
  'he': const HeLocalizations(),
  'de': const DeLocalizations(),
  'it': const ItLocalizations(),
  'zh': const ZhLocalizations(),
  'zh_tw': const ZhTWLocalizations(),
  'uk': const UkLocalizations(),
  'th': const ThLocalizations(),
  'ar': const ArLocalizations(),
  'tr': const TrLocalizations(),
  'nl': const NlLocalizations(),
  'pl': const PlLocalizations(),
  'en': const EnLocalizations(),
  'ja': const JaLocalizations(),
  'hi': const HiLocalizations(),
  'ru': const RuLocalizations(),
  'fr': const FrLocalizations(),
};
