// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class DeLocalizations extends FirebaseUILocalizationLabels {
  const DeLocalizations();

  @override
  String get accessDisabledErrorText =>
      "Der Zugriff auf dieses Konto wurde vorübergehend gesperrt";

  @override
  String get arrayLabel => "array";

  @override
  String get booleanLabel => "boolean";

  @override
  String get cancelLabel => "cancel";

  @override
  String get chooseACountry => "Land auswählen";

  @override
  String get confirmPasswordDoesNotMatchErrorText =>
      "Die Passwörter stimmen nicht überein";

  @override
  String get confirmPasswordInputLabel => "Passwort bestätigen";

  @override
  String get confirmPasswordIsRequiredErrorText => "Passwort bestätigen";

  @override
  String get continueText => "Weiter";

  @override
  String get countryCode => "Code";

  @override
  String get credentialAlreadyInUseErrorText =>
      "Dieser Anbieter ist mit einem anderen Nutzerkonto verknüpft.";

  @override
  String get deleteAccount => "Konto löschen";

  @override
  String get differentMethodsSignInTitleText =>
      "Eine der folgenden Anmeldemethoden verwenden";

  @override
  String get disable => "Deaktivieren";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "E-Mail";

  @override
  String get emailIsRequiredErrorText => "E-Mail-Adresse ist erforderlich";

  @override
  String get emailLinkSignInButtonLabel => "Mit Magic Link anmelden";

  @override
  String get emailTakenErrorText =>
      "Konto mit dieser E-Mail-Adresse ist bereits vorhanden";

  @override
  String get enable => "Aktivieren";

  @override
  String get enableMoreSignInMethods => "Weitere Anmeldemethoden aktivieren";

  @override
  String get enterSMSCodeText => "SMS-Code eingeben";

  @override
  String get findProviderForEmailTitleText =>
      "E-Mail-Adresse eingeben, um fortzufahren";

  @override
  String get forgotPasswordButtonLabel => "Passwort vergessen?";

  @override
  String get forgotPasswordHintText =>
      "Geben Sie Ihre E-Mail-Adresse ein. Wir senden Ihnen dann einen Link zum Zurücksetzen Ihres Passworts.";

  @override
  String get forgotPasswordViewTitle => "Passwort vergessen";

  @override
  String get geopointLabel => "geopoint";

  @override
  String get goBackButtonLabel => "Zurück";

  @override
  String get invalidCountryCode => "Ungültiger Code";

  @override
  String get isNotAValidEmailErrorText =>
      "Geben Sie eine gültige E-Mail-Adresse an";

  @override
  String get latitudeLabel => "latitude";

  @override
  String get linkEmailButtonText => "Weiter";

  @override
  String get longitudeLabel => "longitude";

  @override
  String get mapLabel => "map";

  @override
  String get mfaTitle => "Bestätigung in zwei Schritten";

  @override
  String get name => "Name";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "null";

  @override
  String get numberLabel => "number";

  @override
  String get off => "Aus";

  @override
  String get on => "An";

  @override
  String get passwordInputLabel => "Passwort";

  @override
  String get passwordIsRequiredErrorText => "Passwort ist erforderlich";

  @override
  String get passwordResetEmailSentText =>
      "Sie haben von uns eine E-Mail mit einem Link zum Zurücksetzen Ihres Passworts erhalten. Sehen Sie in Ihrem Posteingang nach.";

  @override
  String get phoneInputLabel => "Telefonnummer";

  @override
  String get phoneNumberInvalidErrorText => "Telefonnummer ist ungültig";

  @override
  String get phoneNumberIsRequiredErrorText => "Telefonnummer ist erforderlich";

  @override
  String get phoneVerificationViewTitleText => "Telefonnummer eingeben";

  @override
  String get profile => "Profil";

  @override
  String get provideEmail => "E-Mail-Adresse und Passwort angeben";

  @override
  String get referenceLabel => "reference";

  @override
  String get registerActionText => "Registrieren";

  @override
  String get registerHintText => "Sie haben noch kein Konto?";

  @override
  String get registerText => "Registrieren";

  @override
  String get resetPasswordButtonLabel => "Passwort zurücksetzen";

  @override
  String get sendLinkButtonLabel => "Magic Link senden";

  @override
  String get signInActionText => "Anmelden";

  @override
  String get signInHintText => "Sie haben bereits ein Konto?";

  @override
  String get signInMethods => "Anmeldemethoden";

  @override
  String get signInText => "Anmelden";

  @override
  String get signInWithAppleButtonText => "Über Apple anmelden";

  @override
  String get signInWithEmailLinkSentText =>
      "Sie haben von uns eine E-Mail mit einem Magic Link erhalten. Sehen Sie in Ihrem Posteingang nach und melden Sie sich über den Link an.";

  @override
  String get signInWithEmailLinkViewTitleText => "Mit Magic Link anmelden";

  @override
  String get signInWithFacebookButtonText => "Über Facebook anmelden";

  @override
  String get signInWithGoogleButtonText => "Über Google anmelden";

  @override
  String get signInWithPhoneButtonText => "Mit einer Telefonnummer anmelden";

  @override
  String get signInWithTwitterButtonText => "Über Twitter anmelden";

  @override
  String get signOutButtonText => "Abmelden";

  @override
  String get smsAutoresolutionFailedError =>
      "Der SMS-Code konnte nicht automatisch aufgelöst werden. Geben Sie den Code manuell ein.";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "string";

  @override
  String get timestampLabel => "timestamp";

  @override
  String get typeLabel => "type";

  @override
  String get unknownError => "Ein unbekannter Fehler ist aufgetreten";

  @override
  String get updateLabel => "update";

  @override
  String get userNotFoundErrorText => "Konto existiert nicht";

  @override
  String get valueLabel => "value";

  @override
  String get verifyCodeButtonText => "Überprüfen";

  @override
  String get verifyingSMSCodeText => "SMS-Code wird überprüft…";

  @override
  String get verifyItsYouText => "Identität bestätigen";

  @override
  String get verifyPhoneNumberButtonText => "Weiter";

  @override
  String get westInitialLabel => "W";

  @override
  String get wrongOrNoPasswordErrorText =>
      "Das Passwort ist ungültig oder der Nutzer hat kein Passwort";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
