// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class EnLocalizations extends FirebaseUILocalizationLabels {
  const EnLocalizations();

  @override
  String get accessDisabledErrorText =>
      "Access to this account has been temporarily disabled";

  @override
  String get arrayLabel => "array";

  @override
  String get booleanLabel => "Boolean";

  @override
  String get cancelLabel => "cancel";

  @override
  String get chooseACountry => "Choose a country";

  @override
  String get confirmPasswordDoesNotMatchErrorText => "Passwords do not match";

  @override
  String get confirmPasswordInputLabel => "Confirm password";

  @override
  String get confirmPasswordIsRequiredErrorText => "Confirm your password";

  @override
  String get continueText => "Continue";

  @override
  String get countryCode => "Code";

  @override
  String get credentialAlreadyInUseErrorText =>
      "This provider is associated with a different user account.";

  @override
  String get deleteAccount => "Delete account";

  @override
  String get differentMethodsSignInTitleText =>
      "Use one of the following methods to sign in";

  @override
  String get disable => "Disable";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "Email";

  @override
  String get emailIsRequiredErrorText => "Email is required";

  @override
  String get emailLinkSignInButtonLabel => "Sign in with magic link";

  @override
  String get emailTakenErrorText => "An account with this email already exists";

  @override
  String get enable => "Enable";

  @override
  String get enableMoreSignInMethods => "Enable more sign-in methods";

  @override
  String get enterSMSCodeText => "Enter SMS code";

  @override
  String get findProviderForEmailTitleText => "Enter your email to continue";

  @override
  String get forgotPasswordButtonLabel => "Forgotten password?";

  @override
  String get forgotPasswordHintText =>
      "Provide your email and we will send you a link to reset your password";

  @override
  String get forgotPasswordViewTitle => "Forgotten password";

  @override
  String get geopointLabel => "geopoint";

  @override
  String get goBackButtonLabel => "Go back";

  @override
  String get invalidCountryCode => "Invalid code";

  @override
  String get isNotAValidEmailErrorText => "Provide a valid email";

  @override
  String get latitudeLabel => "latitude";

  @override
  String get linkEmailButtonText => "Next";

  @override
  String get longitudeLabel => "longitude";

  @override
  String get mapLabel => "map";

  @override
  String get mfaTitle => "2-Step Verification";

  @override
  String get name => "Name";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "null";

  @override
  String get numberLabel => "number";

  @override
  String get off => "Off";

  @override
  String get on => "On";

  @override
  String get passwordInputLabel => "Password";

  @override
  String get passwordIsRequiredErrorText => "Password is required";

  @override
  String get passwordResetEmailSentText =>
      "We've sent you an email with a link to reset your password. Please check your emails.";

  @override
  String get phoneInputLabel => "Phone number";

  @override
  String get phoneNumberInvalidErrorText => "Phone number is invalid";

  @override
  String get phoneNumberIsRequiredErrorText => "Phone number is required";

  @override
  String get phoneVerificationViewTitleText => "Enter your phone number";

  @override
  String get profile => "Profile";

  @override
  String get provideEmail => "Provide your email and password";

  @override
  String get referenceLabel => "reference";

  @override
  String get registerActionText => "Register";

  @override
  String get registerHintText => "Don't have an account?";

  @override
  String get registerText => "Register";

  @override
  String get resetPasswordButtonLabel => "Reset password";

  @override
  String get sendLinkButtonLabel => "Send magic link";

  @override
  String get signInActionText => "Sign in";

  @override
  String get signInHintText => "Already have an account?";

  @override
  String get signInMethods => "Sign-in methods";

  @override
  String get signInText => "Sign in";

  @override
  String get signInWithAppleButtonText => "Sign in with Apple";

  @override
  String get signInWithEmailLinkSentText =>
      "We've sent you an email with a magic link. Check your email and follow the link to sign in";

  @override
  String get signInWithEmailLinkViewTitleText => "Sign in with magic link";

  @override
  String get signInWithFacebookButtonText => "Sign in with Facebook";

  @override
  String get signInWithGoogleButtonText => "Sign in with Google";

  @override
  String get signInWithPhoneButtonText => "Sign in with phone";

  @override
  String get signInWithTwitterButtonText => "Sign in with Twitter";

  @override
  String get signOutButtonText => "Sign out";

  @override
  String get smsAutoresolutionFailedError =>
      "Failed to resolve SMS code automatically. Please enter your code manually";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "string";

  @override
  String get timestampLabel => "timestamp";

  @override
  String get typeLabel => "type";

  @override
  String get unknownError => "An unknown error occurred";

  @override
  String get updateLabel => "update";

  @override
  String get userNotFoundErrorText => "Account doesn't exist";

  @override
  String get valueLabel => "value";

  @override
  String get verifyCodeButtonText => "Verify";

  @override
  String get verifyingSMSCodeText => "Verifying SMS code…";

  @override
  String get verifyItsYouText => "Verify that it's you";

  @override
  String get verifyPhoneNumberButtonText => "Next";

  @override
  String get westInitialLabel => "W";

  @override
  String get wrongOrNoPasswordErrorText =>
      "The password is invalid or the user does not have a password";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
