// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class EsLocalizations extends FirebaseUILocalizationLabels {
  const EsLocalizations();

  @override
  String get accessDisabledErrorText =>
      "Se ha inhabilitado temporalmente al acceso a esta cuenta";

  @override
  String get arrayLabel => "array";

  @override
  String get booleanLabel => "booleano";

  @override
  String get cancelLabel => "cancelar";

  @override
  String get chooseACountry => "Elige un país";

  @override
  String get confirmPasswordDoesNotMatchErrorText =>
      "Las contraseñas no coinciden";

  @override
  String get confirmPasswordInputLabel => "Confirmar contraseña";

  @override
  String get confirmPasswordIsRequiredErrorText => "Confirma tu contraseña";

  @override
  String get continueText => "Continuar";

  @override
  String get countryCode => "Código";

  @override
  String get credentialAlreadyInUseErrorText =>
      "El proveedor está asociado a una cuenta de usuario diferente.";

  @override
  String get deleteAccount => "Eliminar cuenta";

  @override
  String get differentMethodsSignInTitleText =>
      "Usa uno de los siguientes métodos para iniciar sesión";

  @override
  String get disable => "Inhabilitar";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "Correo electrónico";

  @override
  String get emailIsRequiredErrorText => "El correo es obligatorio";

  @override
  String get emailLinkSignInButtonLabel =>
      "Iniciar sesión con un enlace mágico";

  @override
  String get emailTakenErrorText => "Ya existe una cuenta con ese correo";

  @override
  String get enable => "Habilitar";

  @override
  String get enableMoreSignInMethods =>
      "Habilita más métodos de inicio de sesión";

  @override
  String get enterSMSCodeText => "Introducir código de SMS";

  @override
  String get findProviderForEmailTitleText =>
      "Introduce tu correo para continuar";

  @override
  String get forgotPasswordButtonLabel => "¿Has olvidado tu contraseña?";

  @override
  String get forgotPasswordHintText =>
      "Proporciona tu correo y te enviaremos un enlace para restaurar tu contraseña";

  @override
  String get forgotPasswordViewTitle => "¿Has olvidado tu contraseña?";

  @override
  String get geopointLabel => "punto geográfico";

  @override
  String get goBackButtonLabel => "Volver";

  @override
  String get invalidCountryCode => "Código no válido";

  @override
  String get isNotAValidEmailErrorText =>
      "Introduce una dirección de correo válida";

  @override
  String get latitudeLabel => "latitud";

  @override
  String get linkEmailButtonText => "Siguiente";

  @override
  String get longitudeLabel => "longitud";

  @override
  String get mapLabel => "mapa";

  @override
  String get mfaTitle => "Verificación en dos pasos";

  @override
  String get name => "Nombre";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "nulo";

  @override
  String get numberLabel => "número";

  @override
  String get off => "Desactivada";

  @override
  String get on => "Activada";

  @override
  String get passwordInputLabel => "Contraseña";

  @override
  String get passwordIsRequiredErrorText =>
      "Es obligatorio indicar la contraseña";

  @override
  String get passwordResetEmailSentText =>
      "Te hemos enviado un correo con un enlace para restaurar tu contraseña. Consulta tu correo electrónico.";

  @override
  String get phoneInputLabel => "Número de teléfono";

  @override
  String get phoneNumberInvalidErrorText =>
      "El número de teléfono no es válido";

  @override
  String get phoneNumberIsRequiredErrorText =>
      "Es obligatorio indicar el número de teléfono";

  @override
  String get phoneVerificationViewTitleText => "Escribe tu número de teléfono";

  @override
  String get profile => "Perfil";

  @override
  String get provideEmail => "Proporciona tu correo y contraseña";

  @override
  String get referenceLabel => "referencia";

  @override
  String get registerActionText => "Registrarse";

  @override
  String get registerHintText => "¿No tienes una cuenta?";

  @override
  String get registerText => "Registrarse";

  @override
  String get resetPasswordButtonLabel => "Cambiar contraseña";

  @override
  String get sendLinkButtonLabel => "Enviar enlace mágico";

  @override
  String get signInActionText => "Iniciar sesión";

  @override
  String get signInHintText => "¿Ya tienes una cuenta?";

  @override
  String get signInMethods => "Métodos de inicio de sesión";

  @override
  String get signInText => "Iniciar sesión";

  @override
  String get signInWithAppleButtonText => "Iniciar sesión con Apple";

  @override
  String get signInWithEmailLinkSentText =>
      "Te hemos enviado un correo con un enlace mágico. Comprueba tu correo y accede al enlace para iniciar sesión.";

  @override
  String get signInWithEmailLinkViewTitleText =>
      "Inicia sesión con un enlace mágico";

  @override
  String get signInWithFacebookButtonText => "Iniciar sesión con Facebook";

  @override
  String get signInWithGoogleButtonText => "Iniciar sesión con Google";

  @override
  String get signInWithPhoneButtonText => "Iniciar sesión con el teléfono";

  @override
  String get signInWithTwitterButtonText => "Iniciar sesión con Twitter";

  @override
  String get signOutButtonText => "Cerrar sesión";

  @override
  String get smsAutoresolutionFailedError =>
      "No se ha podido resolver el código de SMS automáticamente. Introdúcelo de forma manual.";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "cadena";

  @override
  String get timestampLabel => "marca de tiempo";

  @override
  String get typeLabel => "tipo";

  @override
  String get unknownError => "Se ha producido un error desconocido";

  @override
  String get updateLabel => "actualización";

  @override
  String get userNotFoundErrorText => "La cuenta no existe";

  @override
  String get valueLabel => "valor";

  @override
  String get verifyCodeButtonText => "Verificar";

  @override
  String get verifyingSMSCodeText => "Verificando código de SMS...";

  @override
  String get verifyItsYouText => "Verificar su identidad";

  @override
  String get verifyPhoneNumberButtonText => "Siguiente";

  @override
  String get westInitialLabel => "X";

  @override
  String get wrongOrNoPasswordErrorText =>
      "La contraseña no es válida o el usuario no tiene una contraseña";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
