// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class Es419Localizations extends FirebaseUILocalizationLabels {
  const Es419Localizations();

  @override
  String get accessDisabledErrorText =>
      "Se inhabilitó temporalmente el acceso a la cuenta";

  @override
  String get arrayLabel => "array";

  @override
  String get booleanLabel => "booleano";

  @override
  String get cancelLabel => "cancelar";

  @override
  String get chooseACountry => "Elige un país";

  @override
  String get confirmPasswordDoesNotMatchErrorText =>
      "Las contraseñas no coinciden";

  @override
  String get confirmPasswordInputLabel => "Confirmar contraseña";

  @override
  String get confirmPasswordIsRequiredErrorText => "Confirma tu contraseña";

  @override
  String get continueText => "Continuar";

  @override
  String get countryCode => "Código";

  @override
  String get credentialAlreadyInUseErrorText =>
      "Este proveedor está asociado a una cuenta de usuario diferente.";

  @override
  String get deleteAccount => "Borrar cuenta";

  @override
  String get differentMethodsSignInTitleText =>
      "Usa uno de los siguientes métodos para acceder";

  @override
  String get disable => "Inhabilitar";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "Correo electrónico";

  @override
  String get emailIsRequiredErrorText => "El correo electrónico es obligatorio";

  @override
  String get emailLinkSignInButtonLabel => "Accede con un vínculo mágico";

  @override
  String get emailTakenErrorText =>
      "Ya existe una cuenta con ese correo electrónico";

  @override
  String get enable => "Habilitar";

  @override
  String get enableMoreSignInMethods => "Habilita más métodos de acceso";

  @override
  String get enterSMSCodeText => "Ingresa un código de SMS";

  @override
  String get findProviderForEmailTitleText =>
      "Ingresa tu correo electrónico para continuar";

  @override
  String get forgotPasswordButtonLabel => "¿Olvidaste la contraseña?";

  @override
  String get forgotPasswordHintText =>
      "Proporciona un correo electrónico y te enviaremos un vínculo para restablecer tu contraseña";

  @override
  String get forgotPasswordViewTitle => "¿Olvidaste la contraseña?";

  @override
  String get geopointLabel => "punto geográfico";

  @override
  String get goBackButtonLabel => "Atrás";

  @override
  String get invalidCountryCode => "Código no válido";

  @override
  String get isNotAValidEmailErrorText =>
      "Proporciona un correo electrónico válido";

  @override
  String get latitudeLabel => "latitud";

  @override
  String get linkEmailButtonText => "Siguiente";

  @override
  String get longitudeLabel => "longitud";

  @override
  String get mapLabel => "mapa";

  @override
  String get mfaTitle => "Verificación en 2 pasos";

  @override
  String get name => "Nombre";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "nulo";

  @override
  String get numberLabel => "número";

  @override
  String get off => "Desactivada";

  @override
  String get on => "Activada";

  @override
  String get passwordInputLabel => "Contraseña";

  @override
  String get passwordIsRequiredErrorText => "La contraseña es obligatoria";

  @override
  String get passwordResetEmailSentText =>
      "Te enviamos un correo electrónico con un vínculo para restablecer la contraseña. Revisa tu correo electrónico.";

  @override
  String get phoneInputLabel => "Número de teléfono";

  @override
  String get phoneNumberInvalidErrorText =>
      "El número de teléfono no es válido";

  @override
  String get phoneNumberIsRequiredErrorText =>
      "El número de teléfono es obligatorio";

  @override
  String get phoneVerificationViewTitleText => "Ingresa tu número de teléfono";

  @override
  String get profile => "Perfil";

  @override
  String get provideEmail => "Proporciona tu correo electrónico y contraseña";

  @override
  String get referenceLabel => "referencia";

  @override
  String get registerActionText => "Registrarse";

  @override
  String get registerHintText => "¿No tienes una cuenta?";

  @override
  String get registerText => "Regístrate";

  @override
  String get resetPasswordButtonLabel => "Restablecer contraseña";

  @override
  String get sendLinkButtonLabel => "Enviar vínculo mágico";

  @override
  String get signInActionText => "Acceder";

  @override
  String get signInHintText => "¿Ya tiene una cuenta?";

  @override
  String get signInMethods => "Métodos de acceso";

  @override
  String get signInText => "Accede";

  @override
  String get signInWithAppleButtonText => "Acceder con Apple";

  @override
  String get signInWithEmailLinkSentText =>
      "Te enviamos un correo electrónico con un vínculo mágico. Revisa tu correo electrónico y usa el vínculo para acceder.";

  @override
  String get signInWithEmailLinkViewTitleText => "Accede con un vínculo mágico";

  @override
  String get signInWithFacebookButtonText => "Acceder con Facebook";

  @override
  String get signInWithGoogleButtonText => "Acceder con Google";

  @override
  String get signInWithPhoneButtonText => "Acceder con el teléfono";

  @override
  String get signInWithTwitterButtonText => "Acceder con Twitter";

  @override
  String get signOutButtonText => "Salir";

  @override
  String get smsAutoresolutionFailedError =>
      "No se pudo resolver el código de SMS automáticamente. Ingresa el código de forma manual";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "string";

  @override
  String get timestampLabel => "marca de tiempo";

  @override
  String get typeLabel => "tipo";

  @override
  String get unknownError => "Hubo un problema desconocido";

  @override
  String get updateLabel => "actualizar";

  @override
  String get userNotFoundErrorText => "No existe la cuenta";

  @override
  String get valueLabel => "valor";

  @override
  String get verifyCodeButtonText => "Verificar";

  @override
  String get verifyingSMSCodeText => "Verificando código SMS…";

  @override
  String get verifyItsYouText => "Verifica tu identidad";

  @override
  String get verifyPhoneNumberButtonText => "Siguiente";

  @override
  String get westInitialLabel => "W";

  @override
  String get wrongOrNoPasswordErrorText =>
      "La contraseña no es válida o el usuario no tiene contraseña";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
