// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class FrLocalizations extends FirebaseUILocalizationLabels {
  const FrLocalizations();

  @override
  String get accessDisabledErrorText =>
      "L'accès à ce compte a été temporairement désactivé";

  @override
  String get arrayLabel => "tableau";

  @override
  String get booleanLabel => "booléen";

  @override
  String get cancelLabel => "annuler";

  @override
  String get chooseACountry => "Sélectionner un pays";

  @override
  String get confirmPasswordDoesNotMatchErrorText =>
      "Les mots de passe ne correspondent pas";

  @override
  String get confirmPasswordInputLabel => "Confirmer le mot de passe";

  @override
  String get confirmPasswordIsRequiredErrorText =>
      "Confirmez votre mot de passe";

  @override
  String get continueText => "Continuer";

  @override
  String get countryCode => "Code";

  @override
  String get credentialAlreadyInUseErrorText =>
      "Ce fournisseur est associé à un autre compte utilisateur.";

  @override
  String get deleteAccount => "Supprimer le compte";

  @override
  String get differentMethodsSignInTitleText =>
      "Utilisez l'une des méthodes suivantes pour vous connecter";

  @override
  String get disable => "Désactiver";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "Adresse e-mail";

  @override
  String get emailIsRequiredErrorText => "Veuillez indiquer une adresse e-mail";

  @override
  String get emailLinkSignInButtonLabel => "Se connecter avec un lien magique";

  @override
  String get emailTakenErrorText =>
      "Un compte associé à cette adresse e-mail existe déjà";

  @override
  String get enable => "Activer";

  @override
  String get enableMoreSignInMethods =>
      "Activez d'autres méthodes de connexion";

  @override
  String get enterSMSCodeText => "Saisir le code SMS";

  @override
  String get findProviderForEmailTitleText =>
      "Saisissez votre adresse e-mail pour continuer";

  @override
  String get forgotPasswordButtonLabel => "Mot de passe oublié ?";

  @override
  String get forgotPasswordHintText =>
      "Indiquez votre adresse e-mail, et nous vous enverrons un lien pour réinitialiser votre mot de passe";

  @override
  String get forgotPasswordViewTitle => "Mot de passe oublié";

  @override
  String get geopointLabel => "point géographique";

  @override
  String get goBackButtonLabel => "Retour";

  @override
  String get invalidCountryCode => "Code incorrect";

  @override
  String get isNotAValidEmailErrorText => "Indiquez une adresse e-mail valide";

  @override
  String get latitudeLabel => "latitude";

  @override
  String get linkEmailButtonText => "Suivant";

  @override
  String get longitudeLabel => "longitude";

  @override
  String get mapLabel => "carte";

  @override
  String get mfaTitle => "Validation en deux étapes";

  @override
  String get name => "Nom";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "nul";

  @override
  String get numberLabel => "nombre";

  @override
  String get off => "Désactivée";

  @override
  String get on => "Activée";

  @override
  String get passwordInputLabel => "Mot de passe";

  @override
  String get passwordIsRequiredErrorText => "Veuillez saisir un mot de passe";

  @override
  String get passwordResetEmailSentText =>
      "Nous vous avons envoyé un e-mail contenant un lien pour réinitialiser votre mot de passe. Veuillez consulter votre messagerie.";

  @override
  String get phoneInputLabel => "Numéro de téléphone";

  @override
  String get phoneNumberInvalidErrorText =>
      "Le numéro de téléphone est incorrect";

  @override
  String get phoneNumberIsRequiredErrorText =>
      "Veuillez indiquer un numéro de téléphone";

  @override
  String get phoneVerificationViewTitleText =>
      "Saisissez votre numéro de téléphone";

  @override
  String get profile => "Profil";

  @override
  String get provideEmail =>
      "Saisissez votre adresse e-mail et votre mot de passe";

  @override
  String get referenceLabel => "référence";

  @override
  String get registerActionText => "S'inscrire";

  @override
  String get registerHintText => "Vous ne possédez pas de compte ?";

  @override
  String get registerText => "S'inscrire";

  @override
  String get resetPasswordButtonLabel => "Réinitialiser le mot de passe";

  @override
  String get sendLinkButtonLabel => "Envoyer un lien magique";

  @override
  String get signInActionText => "Se connecter";

  @override
  String get signInHintText => "Vous possédez déjà un compte ?";

  @override
  String get signInMethods => "Méthodes de connexion";

  @override
  String get signInText => "Se connecter";

  @override
  String get signInWithAppleButtonText => "Se connecter avec Apple";

  @override
  String get signInWithEmailLinkSentText =>
      "Nous vous avons envoyé un e-mail contenant un lien magique. Consultez-le et suivez le lien pour vous connecter.";

  @override
  String get signInWithEmailLinkViewTitleText =>
      "Connectez-vous avec un lien magique";

  @override
  String get signInWithFacebookButtonText => "Se connecter avec Facebook";

  @override
  String get signInWithGoogleButtonText => "Se connecter avec Google";

  @override
  String get signInWithPhoneButtonText => "Se connecter avec un téléphone";

  @override
  String get signInWithTwitterButtonText => "Se connecter avec Twitter";

  @override
  String get signOutButtonText => "Se déconnecter";

  @override
  String get smsAutoresolutionFailedError =>
      "Échec de la résolution automatique du code reçu par SMS. Veuillez saisir votre code manuellement.";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "chaîne";

  @override
  String get timestampLabel => "code temporel";

  @override
  String get typeLabel => "type";

  @override
  String get unknownError => "Une erreur inconnue s'est produite";

  @override
  String get updateLabel => "mettre à jour";

  @override
  String get userNotFoundErrorText => "Le compte n'existe pas";

  @override
  String get valueLabel => "valeur";

  @override
  String get verifyCodeButtonText => "Valider";

  @override
  String get verifyingSMSCodeText => "Validation du code reçu par SMS…";

  @override
  String get verifyItsYouText => "Confirmez qu'il s'agit bien de vous";

  @override
  String get verifyPhoneNumberButtonText => "Suivant";

  @override
  String get westInitialLabel => "O";

  @override
  String get wrongOrNoPasswordErrorText =>
      "Le mot de passe n'est pas valide ou l'utilisateur n'en possède pas";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
