// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class HiLocalizations extends FirebaseUILocalizationLabels {
  const HiLocalizations();

  @override
  String get accessDisabledErrorText =>
      "इस खाते के ऐक्सेस पर, कुछ समय के लिए रोक लगा दी गई है";

  @override
  String get arrayLabel => "कलेक्शन";

  @override
  String get booleanLabel => "बूलियन";

  @override
  String get cancelLabel => "रद्द करें";

  @override
  String get chooseACountry => "कोई देश चुनें";

  @override
  String get confirmPasswordDoesNotMatchErrorText => "पासवर्ड मेल नहीं खाते";

  @override
  String get confirmPasswordInputLabel => "पासवर्ड की पुष्टि करें";

  @override
  String get confirmPasswordIsRequiredErrorText =>
      "अपने पासवर्ड की पुष्टि करें";

  @override
  String get continueText => "जारी रखें";

  @override
  String get countryCode => "कोड";

  @override
  String get credentialAlreadyInUseErrorText =>
      "OAuth की सेवा देने वाली यह कंपनी, किसी दूसरे उपयोगकर्ता खाते से जुड़ी हुई है.";

  @override
  String get deleteAccount => "खाता मिटाएं";

  @override
  String get differentMethodsSignInTitleText =>
      "इनमें से कोई एक तरीका अपनाकर साइन इन करें";

  @override
  String get disable => "बंद करें";

  @override
  String get eastInitialLabel => "पू॰";

  @override
  String get emailInputLabel => "ईमेल";

  @override
  String get emailIsRequiredErrorText => "ईमेल पता डालना ज़रूरी है";

  @override
  String get emailLinkSignInButtonLabel => "मैजिक लिंक की मदद से साइन इन करें";

  @override
  String get emailTakenErrorText => "इस ईमेल से जुड़ा खाता पहले से ही मौजूद है";

  @override
  String get enable => "चालू करें";

  @override
  String get enableMoreSignInMethods => "साइन इन करने के अन्य तरीके चालू करें";

  @override
  String get enterSMSCodeText => "एसएमएस कोड डालें";

  @override
  String get findProviderForEmailTitleText =>
      "जारी रखने के लिए अपना ईमेल पता डालें";

  @override
  String get forgotPasswordButtonLabel => "पासवर्ड याद नहीं है?";

  @override
  String get forgotPasswordHintText =>
      "अपना ईमेल पता दें. हम आपको उस पर पासवर्ड रीसेट करने के लिए, एक लिंक भेजेंगे";

  @override
  String get forgotPasswordViewTitle => "पासवर्ड भूल गए";

  @override
  String get geopointLabel => "जियोपॉइंट";

  @override
  String get goBackButtonLabel => "वापस जाएं";

  @override
  String get invalidCountryCode => "अमान्य कोड";

  @override
  String get isNotAValidEmailErrorText => "मान्य ईमेल पता दें";

  @override
  String get latitudeLabel => "अक्षांश";

  @override
  String get linkEmailButtonText => "आगे बढ़ें";

  @override
  String get longitudeLabel => "देशांतर";

  @override
  String get mapLabel => "मैप";

  @override
  String get mfaTitle => "दो-चरणों में पुष्टि";

  @override
  String get name => "नाम";

  @override
  String get northInitialLabel => "उ॰";

  @override
  String get nullLabel => "शून्य";

  @override
  String get numberLabel => "नंबर";

  @override
  String get off => "बंद है";

  @override
  String get on => "चालू है";

  @override
  String get passwordInputLabel => "पासवर्ड";

  @override
  String get passwordIsRequiredErrorText => "पासवर्ड डालना ज़रूरी है";

  @override
  String get passwordResetEmailSentText =>
      "आपका पासवर्ड रीसेट करने के लिए, हमने आपके ईमेल पते पर लिंक भेजा है. कृपया अपना ईमेल देखें.";

  @override
  String get phoneInputLabel => "फ़ोन नंबर";

  @override
  String get phoneNumberInvalidErrorText => "फ़ोन नंबर अमान्य है";

  @override
  String get phoneNumberIsRequiredErrorText => "फ़ोन नंबर डालना ज़रूरी है";

  @override
  String get phoneVerificationViewTitleText => "अपना फ़ोन नंबर डालें";

  @override
  String get profile => "प्रोफ़ाइल";

  @override
  String get provideEmail => "अपना ईमेल पता और पासवर्ड दें";

  @override
  String get referenceLabel => "रेफ़रंस";

  @override
  String get registerActionText => "रजिस्टर करें";

  @override
  String get registerHintText => "आपके पास कोई खाता नहीं है?";

  @override
  String get registerText => "रजिस्टर करें";

  @override
  String get resetPasswordButtonLabel => "पासवर्ड रीसेट करें";

  @override
  String get sendLinkButtonLabel => "मैजिक लिंक भेजें";

  @override
  String get signInActionText => "साइन इन करें";

  @override
  String get signInHintText => "क्या आपके पास पहले से कोई खाता है?";

  @override
  String get signInMethods => "साइन इन करने के तरीके";

  @override
  String get signInText => "साइन इन करें";

  @override
  String get signInWithAppleButtonText => "Apple से साइन इन करें";

  @override
  String get signInWithEmailLinkSentText =>
      "हमने आपको ईमेल भेजा है, जिसमें मैजिक लिंक है. ईमेल देखें और लिंक पर जाकर साइन करें";

  @override
  String get signInWithEmailLinkViewTitleText =>
      "मैजिक लिंक की मदद से साइन इन करें";

  @override
  String get signInWithFacebookButtonText => "Facebook से साइन इन करें";

  @override
  String get signInWithGoogleButtonText => "Google से साइन इन करें";

  @override
  String get signInWithPhoneButtonText => "फ़ोन से साइन इन करें";

  @override
  String get signInWithTwitterButtonText => "Twitter से साइन इन करें";

  @override
  String get signOutButtonText => "साइन आउट करें";

  @override
  String get smsAutoresolutionFailedError =>
      "एसएमएस कोड का पता अपने-आप नहीं लगाया जा सका. कोड को मैन्युअल तौर पर डालें";

  @override
  String get southInitialLabel => "द॰";

  @override
  String get stringLabel => "स्ट्रिंग";

  @override
  String get timestampLabel => "टाइमस्टैंप";

  @override
  String get typeLabel => "टाइप";

  @override
  String get unknownError => "कोई गड़बड़ी हुई, जिसकी जानकारी नहीं है";

  @override
  String get updateLabel => "अपडेट करें";

  @override
  String get userNotFoundErrorText => "खाता मौजूद नहीं है";

  @override
  String get valueLabel => "वैल्यू";

  @override
  String get verifyCodeButtonText => "पुष्टि करें";

  @override
  String get verifyingSMSCodeText => "एसएमएस कोड की पुष्टि की जा रही है...";

  @override
  String get verifyItsYouText => "अपनी पहचान की पुष्टि करें";

  @override
  String get verifyPhoneNumberButtonText => "आगे बढ़ें";

  @override
  String get westInitialLabel => "प॰";

  @override
  String get wrongOrNoPasswordErrorText =>
      "पासवर्ड अमान्य है या उपयोगकर्ता ने कोई पासवर्ड सेट नहीं किया है";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
