// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class HuLocalizations extends FirebaseUILocalizationLabels {
  const HuLocalizations();

  @override
  String get accessDisabledErrorText => "A fiók átmenetileg le van tiltva";

  @override
  String get arrayLabel => "tömb";

  @override
  String get booleanLabel => "logikai";

  @override
  String get cancelLabel => "mégsem";

  @override
  String get chooseACountry => "Válasszon országot";

  @override
  String get confirmPasswordDoesNotMatchErrorText =>
      "A beírt jelszavak nem egyeznek";

  @override
  String get confirmPasswordInputLabel => "Jelszó megerősítése";

  @override
  String get confirmPasswordIsRequiredErrorText => "Erősítse meg jelszavát!";

  @override
  String get continueText => "Tovább";

  @override
  String get countryCode => "Kód";

  @override
  String get credentialAlreadyInUseErrorText =>
      "Ez a hitelesítés egy másik fiókhoz tartozik.";

  @override
  String get deleteAccount => "Fiók törlése";

  @override
  String get differentMethodsSignInTitleText =>
      "Használja az alábbi módok egyikét a belépéshez!";

  @override
  String get disable => "Letiltás";

  @override
  String get eastInitialLabel => "K";

  @override
  String get emailInputLabel => "E-mail";

  @override
  String get emailIsRequiredErrorText => "Az e-mail megadása kötelező";

  @override
  String get emailLinkSignInButtonLabel => "Belépés linkkel";

  @override
  String get emailTakenErrorText => "Ezzel az e-mail címmel már létezik fiók";

  @override
  String get enable => "Engedélyezés";

  @override
  String get enableMoreSignInMethods => "Több belépési mód engedélyezése";

  @override
  String get enterSMSCodeText => "Írja be az SMS kódot!";

  @override
  String get findProviderForEmailTitleText =>
      "Írja be az e-mail címét a folytatáshoz!";

  @override
  String get forgotPasswordButtonLabel => "Elfelejtett jelszó?";

  @override
  String get forgotPasswordHintText =>
      "Írja be az e-mail címét és küldünk egy e-mailt a jelszó visszaállításához";

  @override
  String get forgotPasswordViewTitle => "Elfelejtett jelszó";

  @override
  String get geopointLabel => "geopont";

  @override
  String get goBackButtonLabel => "Vissza";

  @override
  String get invalidCountryCode => "Érvénytelen kód";

  @override
  String get isNotAValidEmailErrorText => "Adjon meg érvényes e-mail címet!";

  @override
  String get latitudeLabel => "szélesség";

  @override
  String get linkEmailButtonText => "Következő";

  @override
  String get longitudeLabel => "hosszúság";

  @override
  String get mapLabel => "térkép";

  @override
  String get mfaTitle => "Kétlépcsős azonosítás";

  @override
  String get name => "Név";

  @override
  String get northInitialLabel => "É";

  @override
  String get nullLabel => "null érték";

  @override
  String get numberLabel => "szám";

  @override
  String get off => "Ki";

  @override
  String get on => "Be";

  @override
  String get passwordInputLabel => "Jelszó";

  @override
  String get passwordIsRequiredErrorText => "A jelszó kötelező";

  @override
  String get passwordResetEmailSentText =>
      "Küldtünk egy e-mailt a jelszó visszaállításához. Kérjük, ellenőrizze a postaládáját!";

  @override
  String get phoneInputLabel => "Telefonszám";

  @override
  String get phoneNumberInvalidErrorText => "A telefonszám nem érvényes";

  @override
  String get phoneNumberIsRequiredErrorText => "A telefonszám kötelező";

  @override
  String get phoneVerificationViewTitleText => "Írja be a telefonszámát!";

  @override
  String get profile => "Profil";

  @override
  String get provideEmail => "Írja be az e-mail címét és a jelszavát!";

  @override
  String get referenceLabel => "hivatkozás";

  @override
  String get registerActionText => "Regisztráció";

  @override
  String get registerHintText => "Nincs még fiókja?";

  @override
  String get registerText => "Regisztráció";

  @override
  String get resetPasswordButtonLabel => "Jelszó visszaállítása";

  @override
  String get sendLinkButtonLabel => "Belépési link küldése";

  @override
  String get signInActionText => "Belépés";

  @override
  String get signInHintText => "Már van fiókja?";

  @override
  String get signInMethods => "Belépési módok";

  @override
  String get signInText => "Belépés";

  @override
  String get signInWithAppleButtonText => "Apple belépés";

  @override
  String get signInWithEmailLinkSentText =>
      "Küldtünk egy e-mailt a belépési linkkel. Kérjük, ellenőrizze a postaládáját és kattintson a hivatkozásra a belépéshez!";

  @override
  String get signInWithEmailLinkViewTitleText => "Belépés linkkel";

  @override
  String get signInWithFacebookButtonText => "Facebook belépés";

  @override
  String get signInWithGoogleButtonText => "Google belépés";

  @override
  String get signInWithPhoneButtonText => "Belépés telefonszámmal";

  @override
  String get signInWithTwitterButtonText => "Twitter belépés";

  @override
  String get signOutButtonText => "Kilépés";

  @override
  String get smsAutoresolutionFailedError =>
      "Nem sikerült az SMS kódot automatikusan ellenőrizni. Kérjük, írja be a kódot!";

  @override
  String get southInitialLabel => "D";

  @override
  String get stringLabel => "szöveg";

  @override
  String get timestampLabel => "időbélyeg";

  @override
  String get typeLabel => "típus";

  @override
  String get unknownError => "Ismeretlen hiba történt";

  @override
  String get updateLabel => "frissítés";

  @override
  String get userNotFoundErrorText => "A fiók nem létezik";

  @override
  String get valueLabel => "érték";

  @override
  String get verifyCodeButtonText => "Ellenőrzés";

  @override
  String get verifyingSMSCodeText => "SMS kód ellenőrzése…";

  @override
  String get verifyItsYouText => "Igazolja, hogy ez Ön!";

  @override
  String get verifyPhoneNumberButtonText => "Következő";

  @override
  String get westInitialLabel => "Ny";

  @override
  String get wrongOrNoPasswordErrorText =>
      "A jelszó helytelen vagy nincs megadva";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
