// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class IdLocalizations extends FirebaseUILocalizationLabels {
  const IdLocalizations();

  @override
  String get accessDisabledErrorText =>
      "Akses ke akun ini telah dinonaktifkan untuk sementara waktu";

  @override
  String get arrayLabel => "array";

  @override
  String get booleanLabel => "boolean";

  @override
  String get cancelLabel => "batal";

  @override
  String get chooseACountry => "Pilih negara";

  @override
  String get confirmPasswordDoesNotMatchErrorText => "Sandi tidak sama";

  @override
  String get confirmPasswordInputLabel => "Konfirmasi sandi";

  @override
  String get confirmPasswordIsRequiredErrorText => "Konfirmasi sandi Anda";

  @override
  String get continueText => "Lanjutkan";

  @override
  String get countryCode => "Kode";

  @override
  String get credentialAlreadyInUseErrorText =>
      "Penyedia ini dikaitkan dengan akun pengguna yang lain.";

  @override
  String get deleteAccount => "Hapus akun";

  @override
  String get differentMethodsSignInTitleText =>
      "Gunakan salah satu metode berikut ini untuk login";

  @override
  String get disable => "Nonaktifkan";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "Email";

  @override
  String get emailIsRequiredErrorText => "Email wajib diisi";

  @override
  String get emailLinkSignInButtonLabel => "Login dengan magic link";

  @override
  String get emailTakenErrorText => "Akun dengan email seperti ini sudah ada";

  @override
  String get enable => "Aktifkan";

  @override
  String get enableMoreSignInMethods => "Aktifkan metode login lainnya";

  @override
  String get enterSMSCodeText => "Masukkan kode SMS";

  @override
  String get findProviderForEmailTitleText =>
      "Masukkan email untuk melanjutkan";

  @override
  String get forgotPasswordButtonLabel => "Lupa sandi?";

  @override
  String get forgotPasswordHintText =>
      "Berikan email Anda dan kami akan mengirimkan link kepada Anda untuk mereset sandi";

  @override
  String get forgotPasswordViewTitle => "Lupa sandi";

  @override
  String get geopointLabel => "geopoint";

  @override
  String get goBackButtonLabel => "Kembali";

  @override
  String get invalidCountryCode => "Kode tidak valid";

  @override
  String get isNotAValidEmailErrorText => "Berikan email yang valid";

  @override
  String get latitudeLabel => "latitude";

  @override
  String get linkEmailButtonText => "Berikutnya";

  @override
  String get longitudeLabel => "longitude";

  @override
  String get mapLabel => "map";

  @override
  String get mfaTitle => "Verifikasi 2 langkah";

  @override
  String get name => "Name";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "null";

  @override
  String get numberLabel => "angka";

  @override
  String get off => "Nonaktif";

  @override
  String get on => "Aktif";

  @override
  String get passwordInputLabel => "Sandi";

  @override
  String get passwordIsRequiredErrorText => "Sandi wajib diisi";

  @override
  String get passwordResetEmailSentText =>
      "Kami telah mengirimkan email kepada Anda yang berisi link untuk mereset sandi. Periksa email Anda.";

  @override
  String get phoneInputLabel => "Nomor telepon";

  @override
  String get phoneNumberInvalidErrorText => "Nomor telepon tidak valid";

  @override
  String get phoneNumberIsRequiredErrorText => "Nomor telepon wajib diisi";

  @override
  String get phoneVerificationViewTitleText => "Masukkan nomor telepon Anda";

  @override
  String get profile => "Profil";

  @override
  String get provideEmail => "Berikan email dan sandi Anda";

  @override
  String get referenceLabel => "referensi";

  @override
  String get registerActionText => "Daftar";

  @override
  String get registerHintText => "Belum memiliki akun?";

  @override
  String get registerText => "Daftar";

  @override
  String get resetPasswordButtonLabel => "Reset sandi";

  @override
  String get sendLinkButtonLabel => "Kirim magic link";

  @override
  String get signInActionText => "Login";

  @override
  String get signInHintText => "Sudah memiliki akun?";

  @override
  String get signInMethods => "Metode login";

  @override
  String get signInText => "Login";

  @override
  String get signInWithAppleButtonText => "Login dengan Apple";

  @override
  String get signInWithEmailLinkSentText =>
      "Kami telah mengirimkan email kepada Anda yang berisi magic link. Periksa email Anda dan ikuti link untuk login";

  @override
  String get signInWithEmailLinkViewTitleText => "Login dengan magic link";

  @override
  String get signInWithFacebookButtonText => "Login dengan Facebook";

  @override
  String get signInWithGoogleButtonText => "Login dengan Google";

  @override
  String get signInWithPhoneButtonText => "Login dengan nomor telepon";

  @override
  String get signInWithTwitterButtonText => "Login dengan Twitter";

  @override
  String get signOutButtonText => "Logout";

  @override
  String get smsAutoresolutionFailedError =>
      "Gagal menyelesaikan kode SMS secara otomatis. Masukkan kode Anda secara manual";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "string";

  @override
  String get timestampLabel => "timestamp";

  @override
  String get typeLabel => "jenis";

  @override
  String get unknownError => "Terjadi error yang tidak diketahui";

  @override
  String get updateLabel => "update";

  @override
  String get userNotFoundErrorText => "Akun tidak ada";

  @override
  String get valueLabel => "value";

  @override
  String get verifyCodeButtonText => "Verifikasi";

  @override
  String get verifyingSMSCodeText => "Memverifikasi kode SMS...";

  @override
  String get verifyItsYouText => "Verifikasi bahwa itu Anda";

  @override
  String get verifyPhoneNumberButtonText => "Berikutnya";

  @override
  String get westInitialLabel => "W";

  @override
  String get wrongOrNoPasswordErrorText =>
      "Sandi tidak valid atau pengguna tidak memiliki sandi";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
