// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class KoLocalizations extends FirebaseUILocalizationLabels {
  const KoLocalizations();

  @override
  String get accessDisabledErrorText => "이 계정의 액세스가 일시적으로 중지되었습니다.";

  @override
  String get arrayLabel => "배열";

  @override
  String get booleanLabel => "불리언";

  @override
  String get cancelLabel => "취소";

  @override
  String get chooseACountry => "국가 선택";

  @override
  String get confirmPasswordDoesNotMatchErrorText => "비밀번호가 일치하지 않습니다.";

  @override
  String get confirmPasswordInputLabel => "비밀번호 확인";

  @override
  String get confirmPasswordIsRequiredErrorText => "비밀번호 확인";

  @override
  String get continueText => "계속";

  @override
  String get countryCode => "코드";

  @override
  String get credentialAlreadyInUseErrorText => "이 제공업체는 다른 사용자 계정과 연결되어 있습니다.";

  @override
  String get deleteAccount => "계정 삭제";

  @override
  String get differentMethodsSignInTitleText => "다음 방법 중 하나를 사용하여 로그인하세요";

  @override
  String get disable => "사용 중지";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "이메일";

  @override
  String get emailIsRequiredErrorText => "이메일은 필수 항목입니다.";

  @override
  String get emailLinkSignInButtonLabel => "매직 링크로 로그인";

  @override
  String get emailTakenErrorText => "해당 이메일을 사용하는 계정이 이미 존재합니다.";

  @override
  String get enable => "사용 설정";

  @override
  String get enableMoreSignInMethods => "더 많은 로그인 방법을 사용 설정하세요.";

  @override
  String get enterSMSCodeText => "SMS 코드를 입력하세요.";

  @override
  String get findProviderForEmailTitleText => "계속하려면 이메일을 입력하세요";

  @override
  String get forgotPasswordButtonLabel => "비밀번호 찾기";

  @override
  String get forgotPasswordHintText => "이메일을 입력하시면 비밀번호 재설정 링크를 보내드립니다.";

  @override
  String get forgotPasswordViewTitle => "비밀번호 찾기";

  @override
  String get geopointLabel => "지리 좌표";

  @override
  String get goBackButtonLabel => "뒤로";

  @override
  String get invalidCountryCode => "잘못된 코드입니다.";

  @override
  String get isNotAValidEmailErrorText => "올바른 이메일을 입력하세요.";

  @override
  String get latitudeLabel => "위도";

  @override
  String get linkEmailButtonText => "다음";

  @override
  String get longitudeLabel => "경도";

  @override
  String get mapLabel => "지도";

  @override
  String get mfaTitle => "2단계 인증";

  @override
  String get name => "이름";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "null";

  @override
  String get numberLabel => "숫자";

  @override
  String get off => "사용 안 함";

  @override
  String get on => "사용";

  @override
  String get passwordInputLabel => "비밀번호";

  @override
  String get passwordIsRequiredErrorText => "비밀번호는 필수 항목입니다.";

  @override
  String get passwordResetEmailSentText =>
      "비밀번호 재설정 링크가 포함된 이메일을 보내드렸습니다. 이메일을 확인하세요.";

  @override
  String get phoneInputLabel => "전화번호";

  @override
  String get phoneNumberInvalidErrorText => "전화번호가 잘못되었습니다.";

  @override
  String get phoneNumberIsRequiredErrorText => "전화번호는 필수 항목입니다.";

  @override
  String get phoneVerificationViewTitleText => "전화번호를 입력하세요.";

  @override
  String get profile => "프로필";

  @override
  String get provideEmail => "이메일과 비밀번호를 입력하세요";

  @override
  String get referenceLabel => "언급";

  @override
  String get registerActionText => "등록";

  @override
  String get registerHintText => "계정이 없으신가요?";

  @override
  String get registerText => "등록";

  @override
  String get resetPasswordButtonLabel => "비밀번호 재설정";

  @override
  String get sendLinkButtonLabel => "매직 링크 전송";

  @override
  String get signInActionText => "로그인";

  @override
  String get signInHintText => "이미 계정이 있으신가요?";

  @override
  String get signInMethods => "로그인 방법";

  @override
  String get signInText => "로그인";

  @override
  String get signInWithAppleButtonText => "Apple로 로그인";

  @override
  String get signInWithEmailLinkSentText =>
      "매직 링크가 포함된 이메일을 보내드렸습니다. 이메일을 확인하고 링크를 따라가 로그인하세요.";

  @override
  String get signInWithEmailLinkViewTitleText => "매직 링크로 로그인";

  @override
  String get signInWithFacebookButtonText => "Facebook으로 로그인";

  @override
  String get signInWithGoogleButtonText => "Google 계정으로 로그인";

  @override
  String get signInWithPhoneButtonText => "전화로 로그인";

  @override
  String get signInWithTwitterButtonText => "Twitter로 로그인";

  @override
  String get signOutButtonText => "로그아웃";

  @override
  String get smsAutoresolutionFailedError =>
      "SMS 코드를 자동으로 확인하지 못했습니다. 수동으로 코드를 입력하세요.";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "문자열";

  @override
  String get timestampLabel => "타임스탬프";

  @override
  String get typeLabel => "유형";

  @override
  String get unknownError => "알 수 없는 오류가 발생했습니다.";

  @override
  String get updateLabel => "업데이트";

  @override
  String get userNotFoundErrorText => "계정이 존재하지 않습니다.";

  @override
  String get valueLabel => "값";

  @override
  String get verifyCodeButtonText => "확인";

  @override
  String get verifyingSMSCodeText => "SMS 코드 인증 중...";

  @override
  String get verifyItsYouText => "본인 인증";

  @override
  String get verifyPhoneNumberButtonText => "다음";

  @override
  String get westInitialLabel => "W";

  @override
  String get wrongOrNoPasswordErrorText => "비밀번호가 잘못되었거나 사용자에게 비밀번호가 없습니다.";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
