// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class NlLocalizations extends FirebaseUILocalizationLabels {
  const NlLocalizations();

  @override
  String get accessDisabledErrorText =>
      "De toegang tot dit account is tijdelijk uitgezet";

  @override
  String get arrayLabel => "matrix";

  @override
  String get booleanLabel => "booleaans";

  @override
  String get cancelLabel => "annuleren";

  @override
  String get chooseACountry => "Kies een land";

  @override
  String get confirmPasswordDoesNotMatchErrorText =>
      "De wachtwoorden komen niet overeen";

  @override
  String get confirmPasswordInputLabel => "Wachtwoord bevestigen";

  @override
  String get confirmPasswordIsRequiredErrorText => "Je wachtwoord bevestigen";

  @override
  String get continueText => "Doorgaan";

  @override
  String get countryCode => "Code";

  @override
  String get credentialAlreadyInUseErrorText =>
      "Deze aanbieder is gekoppeld aan een ander gebruikersaccount.";

  @override
  String get deleteAccount => "Account verwijderen";

  @override
  String get differentMethodsSignInTitleText =>
      "Gebruik een van de volgende methoden om in te loggen";

  @override
  String get disable => "Uitzetten";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "E-mail";

  @override
  String get emailIsRequiredErrorText => "E-mailadres is vereist";

  @override
  String get emailLinkSignInButtonLabel => "Inloggen met magic link";

  @override
  String get emailTakenErrorText =>
      "Er bestaat al een account met dit e-mailadres";

  @override
  String get enable => "Aanzetten";

  @override
  String get enableMoreSignInMethods => "Meer inlogmethoden aanzetten";

  @override
  String get enterSMSCodeText => "Sms-code opgeven";

  @override
  String get findProviderForEmailTitleText =>
      "Vul uw e-mailadres in om door te gaan";

  @override
  String get forgotPasswordButtonLabel => "Wachtwoord vergeten?";

  @override
  String get forgotPasswordHintText =>
      "Vul uw e-mailadres in en we sturen u een link om uw wachtwoord te resetten";

  @override
  String get forgotPasswordViewTitle => "Wachtwoord vergeten";

  @override
  String get geopointLabel => "geografisch punt";

  @override
  String get goBackButtonLabel => "Terug";

  @override
  String get invalidCountryCode => "Ongeldige code";

  @override
  String get isNotAValidEmailErrorText => "Vul een geldig e-mailadres in";

  @override
  String get latitudeLabel => "breedtegraad";

  @override
  String get linkEmailButtonText => "Volgende";

  @override
  String get longitudeLabel => "lengtegraad";

  @override
  String get mapLabel => "kaart";

  @override
  String get mfaTitle => "Verificatie in 2 stappen";

  @override
  String get name => "Naam";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "null";

  @override
  String get numberLabel => "getal";

  @override
  String get off => "Uit";

  @override
  String get on => "Aan";

  @override
  String get passwordInputLabel => "Wachtwoord";

  @override
  String get passwordIsRequiredErrorText => "Wachtwoord is vereist";

  @override
  String get passwordResetEmailSentText =>
      "We hebben u een e-mail gestuurd om uw wachtwoorden te resetten. Check uw e-mail.";

  @override
  String get phoneInputLabel => "Telefoonnummer";

  @override
  String get phoneNumberInvalidErrorText => "Telefoonnummer is ongeldig";

  @override
  String get phoneNumberIsRequiredErrorText => "Telefoonnummer is vereist";

  @override
  String get phoneVerificationViewTitleText => "Vul uw telefoonnummer in";

  @override
  String get profile => "Profiel";

  @override
  String get provideEmail => "Geef uw e-mailadres en wachtwoord op";

  @override
  String get referenceLabel => "referentie";

  @override
  String get registerActionText => "Registreren";

  @override
  String get registerHintText => "Heeft u nog geen account?";

  @override
  String get registerText => "Registreren";

  @override
  String get resetPasswordButtonLabel => "Wachtwoord resetten";

  @override
  String get sendLinkButtonLabel => "Magic link verzenden";

  @override
  String get signInActionText => "Inloggen";

  @override
  String get signInHintText => "Heeft u al een account?";

  @override
  String get signInMethods => "Inlogmethoden";

  @override
  String get signInText => "Inloggen";

  @override
  String get signInWithAppleButtonText => "Inloggen met Apple";

  @override
  String get signInWithEmailLinkSentText =>
      "We hebben u een e-mail gestuurd met een magic link. Check uw e-mail en volg de link om in te loggen.";

  @override
  String get signInWithEmailLinkViewTitleText => "Inloggen met magic link";

  @override
  String get signInWithFacebookButtonText => "Inloggen met Facebook";

  @override
  String get signInWithGoogleButtonText => "Inloggen met Google";

  @override
  String get signInWithPhoneButtonText => "Inloggen met telefoon";

  @override
  String get signInWithTwitterButtonText => "Inloggen met Twitter";

  @override
  String get signOutButtonText => "Uitloggen";

  @override
  String get smsAutoresolutionFailedError =>
      "Kan sms-code niet automatisch omzetten. Vul uw code handmatig in";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "tekenreeks";

  @override
  String get timestampLabel => "tijdstempel";

  @override
  String get typeLabel => "type";

  @override
  String get unknownError => "Er is een onbekende fout opgetreden";

  @override
  String get updateLabel => "update";

  @override
  String get userNotFoundErrorText => "Account bestaat niet";

  @override
  String get valueLabel => "waarde";

  @override
  String get verifyCodeButtonText => "Verifiëren";

  @override
  String get verifyingSMSCodeText => "Sms-code verifiëren...";

  @override
  String get verifyItsYouText => "Bevestigen dat u het bent";

  @override
  String get verifyPhoneNumberButtonText => "Volgende";

  @override
  String get westInitialLabel => "W";

  @override
  String get wrongOrNoPasswordErrorText =>
      "Het wachtwoord is ongeldig of de gebruiker heeft geen wachtwoord";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
