// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class PtLocalizations extends FirebaseUILocalizationLabels {
  const PtLocalizations();

  @override
  String get accessDisabledErrorText =>
      "O acesso a esta conta foi desativado temporariamente";

  @override
  String get arrayLabel => "matriz";

  @override
  String get booleanLabel => "booleano";

  @override
  String get cancelLabel => "cancelar";

  @override
  String get chooseACountry => "Escolher um país";

  @override
  String get confirmPasswordDoesNotMatchErrorText =>
      "As senhas não correspondem";

  @override
  String get confirmPasswordInputLabel => "Confirmar senha";

  @override
  String get confirmPasswordIsRequiredErrorText => "Confirme sua senha";

  @override
  String get continueText => "Continuar";

  @override
  String get countryCode => "Código";

  @override
  String get credentialAlreadyInUseErrorText =>
      "Este provedor está associado a uma conta de usuário diferente.";

  @override
  String get deleteAccount => "Excluir conta";

  @override
  String get differentMethodsSignInTitleText =>
      "Uso um dos métodos a seguir para fazer login";

  @override
  String get disable => "Desativar";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "E-mail";

  @override
  String get emailIsRequiredErrorText => "O e-mail é obrigatório";

  @override
  String get emailLinkSignInButtonLabel => "Fazer login com um link mágico";

  @override
  String get emailTakenErrorText => "Já existe uma conta com este e-mail";

  @override
  String get enable => "Ativar";

  @override
  String get enableMoreSignInMethods => "Ative mais métodos de login";

  @override
  String get enterSMSCodeText => "Informar o código SMS";

  @override
  String get findProviderForEmailTitleText =>
      "Insira seu e-mail para continuar";

  @override
  String get forgotPasswordButtonLabel => "Esqueceu a senha?";

  @override
  String get forgotPasswordHintText =>
      "Forneça seu e-mail. Depois disso, vamos enviar uma mensagem com um link para redefinir sua senha";

  @override
  String get forgotPasswordViewTitle => "Esqueci a senha";

  @override
  String get geopointLabel => "geopoint";

  @override
  String get goBackButtonLabel => "Voltar";

  @override
  String get invalidCountryCode => "Código inválido";

  @override
  String get isNotAValidEmailErrorText => "Forneça um e-mail válido";

  @override
  String get latitudeLabel => "latitude";

  @override
  String get linkEmailButtonText => "Próximo";

  @override
  String get longitudeLabel => "longitude";

  @override
  String get mapLabel => "mapa";

  @override
  String get mfaTitle => "Verificação em duas etapas";

  @override
  String get name => "Nome";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "nulo";

  @override
  String get numberLabel => "número";

  @override
  String get off => "Desativada";

  @override
  String get on => "Ativada";

  @override
  String get passwordInputLabel => "Senha";

  @override
  String get passwordIsRequiredErrorText => "A senha é obrigatória";

  @override
  String get passwordResetEmailSentText =>
      "Enviamos para seu e-mail um link que permite redefinir sua senha. Confira sua caixa de entrada.";

  @override
  String get phoneInputLabel => "Número de telefone";

  @override
  String get phoneNumberInvalidErrorText => "Número de telefone inválido";

  @override
  String get phoneNumberIsRequiredErrorText =>
      "O número de telefone é obrigatório";

  @override
  String get phoneVerificationViewTitleText => "Insira seu número de telefone";

  @override
  String get profile => "Perfil";

  @override
  String get provideEmail => "Forneça seu e-mail e senha";

  @override
  String get referenceLabel => "referência";

  @override
  String get registerActionText => "Inscrever-se";

  @override
  String get registerHintText => "Não tem uma conta?";

  @override
  String get registerText => "Inscrever-se";

  @override
  String get resetPasswordButtonLabel => "Redefinir senha";

  @override
  String get sendLinkButtonLabel => "Enviar link mágico";

  @override
  String get signInActionText => "Fazer login";

  @override
  String get signInHintText => "Já tem uma conta?";

  @override
  String get signInMethods => "Métodos de login";

  @override
  String get signInText => "Fazer login";

  @override
  String get signInWithAppleButtonText => "Fazer login com a Apple";

  @override
  String get signInWithEmailLinkSentText =>
      "Enviamos um link mágico para seu e-mail. Confira sua caixa de entrada e clique nesse link para fazer login";

  @override
  String get signInWithEmailLinkViewTitleText =>
      "Fazer login com um link mágico";

  @override
  String get signInWithFacebookButtonText => "Fazer login com o Facebook";

  @override
  String get signInWithGoogleButtonText => "Fazer login com o Google";

  @override
  String get signInWithPhoneButtonText => "Fazer login com seu smartphone";

  @override
  String get signInWithTwitterButtonText => "Fazer login com o Twitter";

  @override
  String get signOutButtonText => "Sair";

  @override
  String get smsAutoresolutionFailedError =>
      "Não foi possível preencher o código SMS automaticamente. Insira o código de forma manual";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "string";

  @override
  String get timestampLabel => "carimbo de data/hora";

  @override
  String get typeLabel => "tipo";

  @override
  String get unknownError => "Ocorreu um erro desconhecido";

  @override
  String get updateLabel => "atualização";

  @override
  String get userNotFoundErrorText => "A conta não existe";

  @override
  String get valueLabel => "valor";

  @override
  String get verifyCodeButtonText => "Verificar";

  @override
  String get verifyingSMSCodeText => "Verificando código SMS…";

  @override
  String get verifyItsYouText => "Confirmar sua identidade";

  @override
  String get verifyPhoneNumberButtonText => "Próximo";

  @override
  String get westInitialLabel => "W";

  @override
  String get wrongOrNoPasswordErrorText =>
      "A senha é inválida ou o usuário não tem uma senha";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
