// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class RuLocalizations extends FirebaseUILocalizationLabels {
  const RuLocalizations();

  @override
  String get accessDisabledErrorText =>
      "Доступ к этому аккаунту временно заблокирован.";

  @override
  String get arrayLabel => "массив";

  @override
  String get booleanLabel => "логическое значение";

  @override
  String get cancelLabel => "отменить";

  @override
  String get chooseACountry => "Выберите страну";

  @override
  String get confirmPasswordDoesNotMatchErrorText => "Пароли не совпадают.";

  @override
  String get confirmPasswordInputLabel => "Введите пароль ещё раз";

  @override
  String get confirmPasswordIsRequiredErrorText => "Подтвердите пароль";

  @override
  String get continueText => "Далее";

  @override
  String get countryCode => "Код";

  @override
  String get credentialAlreadyInUseErrorText =>
      "Этот поставщик связан с аккаунтом другого пользователя.";

  @override
  String get deleteAccount => "Удалить аккаунт";

  @override
  String get differentMethodsSignInTitleText =>
      "Используйте один из следующих способов для входа";

  @override
  String get disable => "Отключить";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "Электронная почта";

  @override
  String get emailIsRequiredErrorText => "Укажите адрес электронной почты.";

  @override
  String get emailLinkSignInButtonLabel => "Войти по Magic Link";

  @override
  String get emailTakenErrorText =>
      "К этой электронной почте уже привязан аккаунт.";

  @override
  String get enable => "Включить";

  @override
  String get enableMoreSignInMethods => "Включить больше способов для входа.";

  @override
  String get enterSMSCodeText => "Ввести код из SMS";

  @override
  String get findProviderForEmailTitleText =>
      "Введите свой адрес электронной почты, чтобы продолжить";

  @override
  String get forgotPasswordButtonLabel => "Забыли пароль?";

  @override
  String get forgotPasswordHintText =>
      "Укажите свой адрес электронной почты, чтобы получить ссылку для сброса пароля.";

  @override
  String get forgotPasswordViewTitle => "Не помню пароль";

  @override
  String get geopointLabel => "геоточка";

  @override
  String get goBackButtonLabel => "Назад";

  @override
  String get invalidCountryCode => "Неверный код.";

  @override
  String get isNotAValidEmailErrorText =>
      "Укажите действительный адрес электронной почты.";

  @override
  String get latitudeLabel => "широта";

  @override
  String get linkEmailButtonText => "Далее";

  @override
  String get longitudeLabel => "долгота";

  @override
  String get mapLabel => "карта";

  @override
  String get mfaTitle => "Двухэтапная аутентификация";

  @override
  String get name => "Название";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "null";

  @override
  String get numberLabel => "число";

  @override
  String get off => "Откл.";

  @override
  String get on => "Вкл.";

  @override
  String get passwordInputLabel => "Пароль";

  @override
  String get passwordIsRequiredErrorText => "Укажите пароль.";

  @override
  String get passwordResetEmailSentText =>
      "Мы отправили вам электронное письмо со ссылкой для сброса пароля. Проверьте почту.";

  @override
  String get phoneInputLabel => "Номер телефона";

  @override
  String get phoneNumberInvalidErrorText => "Недействительный номер телефона.";

  @override
  String get phoneNumberIsRequiredErrorText => "Укажите номер телефона.";

  @override
  String get phoneVerificationViewTitleText => "Введите номер телефона";

  @override
  String get profile => "Профиль";

  @override
  String get provideEmail => "Укажите адрес электронной почты и пароль";

  @override
  String get referenceLabel => "ссылка";

  @override
  String get registerActionText => "Зарегистрироваться";

  @override
  String get registerHintText => "У вас ещё нет аккаунта?";

  @override
  String get registerText => "Зарегистрироваться";

  @override
  String get resetPasswordButtonLabel => "Сбросить пароль";

  @override
  String get sendLinkButtonLabel => "Отправить ссылку";

  @override
  String get signInActionText => "Войти";

  @override
  String get signInHintText => "Уже зарегистрированы?";

  @override
  String get signInMethods => "Как войти в систему";

  @override
  String get signInText => "Войти";

  @override
  String get signInWithAppleButtonText => "Войти через аккаунт Apple";

  @override
  String get signInWithEmailLinkSentText =>
      "Мы отправили вам электронное письмо со ссылкой. Проверьте свой ящик и перейдите по ссылке, чтобы войти в систему.";

  @override
  String get signInWithEmailLinkViewTitleText => "Войти по ссылке";

  @override
  String get signInWithFacebookButtonText => "Войти через аккаунт Facebook";

  @override
  String get signInWithGoogleButtonText => "Войти через аккаунт Google";

  @override
  String get signInWithPhoneButtonText => "Войти по номеру телефона";

  @override
  String get signInWithTwitterButtonText => "Войти через аккаунт Twitter";

  @override
  String get signOutButtonText => "Выйти";

  @override
  String get smsAutoresolutionFailedError =>
      "Не удалось автоматически подставить код из SMS. Введите свой код вручную.";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "строка";

  @override
  String get timestampLabel => "временная метка";

  @override
  String get typeLabel => "тип";

  @override
  String get unknownError => "Произошла неизвестная ошибка.";

  @override
  String get updateLabel => "обновление";

  @override
  String get userNotFoundErrorText => "Аккаунт не существует.";

  @override
  String get valueLabel => "значение";

  @override
  String get verifyCodeButtonText => "Подтвердить";

  @override
  String get verifyingSMSCodeText => "Идет подтверждение кода из SMS...";

  @override
  String get verifyItsYouText => "Подтверждение личности";

  @override
  String get verifyPhoneNumberButtonText => "Далее";

  @override
  String get westInitialLabel => "W";

  @override
  String get wrongOrNoPasswordErrorText =>
      "Пароль недействителен или не установлен для этого пользователя.";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
