// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class UkLocalizations extends FirebaseUILocalizationLabels {
  const UkLocalizations();

  @override
  String get accessDisabledErrorText =>
      "Доступ до цього облікового запису тимчасово вимкнено";

  @override
  String get arrayLabel => "масив";

  @override
  String get booleanLabel => "логічне значення";

  @override
  String get cancelLabel => "скасувати";

  @override
  String get chooseACountry => "Вибрати країну";

  @override
  String get confirmPasswordDoesNotMatchErrorText => "Паролі не збігаються";

  @override
  String get confirmPasswordInputLabel => "Підтвердьте пароль";

  @override
  String get confirmPasswordIsRequiredErrorText => "Підтвердьте пароль";

  @override
  String get continueText => "Продовжити";

  @override
  String get countryCode => "Код";

  @override
  String get credentialAlreadyInUseErrorText =>
      "Цей постачальник уже зв’язаний з іншим обліковим записом користувача.";

  @override
  String get deleteAccount => "Видалити обліковий запис";

  @override
  String get differentMethodsSignInTitleText =>
      "Увійдіть за допомогою одного з наведених нижче способів";

  @override
  String get disable => "Вимкнути";

  @override
  String get eastInitialLabel => "схід";

  @override
  String get emailInputLabel => "Електронна адреса";

  @override
  String get emailIsRequiredErrorText => "Укажіть електронну адресу";

  @override
  String get emailLinkSignInButtonLabel =>
      "Увійти за допомогою посилання для реєстрації";

  @override
  String get emailTakenErrorText =>
      "Обліковий запис із такою електронною адресою вже існує";

  @override
  String get enable => "Увімкнути";

  @override
  String get enableMoreSignInMethods =>
      "Підключіть більше способів увійти в обліковий запис";

  @override
  String get enterSMSCodeText => "Введіть код з SMS";

  @override
  String get findProviderForEmailTitleText =>
      "Щоб продовжити, введіть свою електронну адресу";

  @override
  String get forgotPasswordButtonLabel => "Забули пароль?";

  @override
  String get forgotPasswordHintText =>
      "Укажіть свою електронну адресу, і ми надішлемо вам посилання для скидання пароля";

  @override
  String get forgotPasswordViewTitle => "Забули пароль";

  @override
  String get geopointLabel => "geopoint";

  @override
  String get goBackButtonLabel => "Назад";

  @override
  String get invalidCountryCode => "Недійсний код";

  @override
  String get isNotAValidEmailErrorText => "Укажіть дійсну електронну адресу";

  @override
  String get latitudeLabel => "широта";

  @override
  String get linkEmailButtonText => "Далі";

  @override
  String get longitudeLabel => "довгота";

  @override
  String get mapLabel => "карта";

  @override
  String get mfaTitle => "Двохетапна перевірка";

  @override
  String get name => "Ім’я";

  @override
  String get northInitialLabel => "північ";

  @override
  String get nullLabel => "null";

  @override
  String get numberLabel => "число";

  @override
  String get off => "Вимкнено";

  @override
  String get on => "Увімкнено";

  @override
  String get passwordInputLabel => "Пароль";

  @override
  String get passwordIsRequiredErrorText => "Укажіть пароль";

  @override
  String get passwordResetEmailSentText =>
      "Ми надіслали вам лист із посиланням для скидання пароля. Перевірте електронну пошту.";

  @override
  String get phoneInputLabel => "Номер телефону";

  @override
  String get phoneNumberInvalidErrorText => "Недійсний номер телефону";

  @override
  String get phoneNumberIsRequiredErrorText => "Укажіть номер телефону";

  @override
  String get phoneVerificationViewTitleText => "Укажіть номер телефону";

  @override
  String get profile => "Профіль";

  @override
  String get provideEmail => "Укажіть електронну адресу й пароль";

  @override
  String get referenceLabel => "згадка";

  @override
  String get registerActionText => "Зареєструватися";

  @override
  String get registerHintText => "Не маєте облікового запису?";

  @override
  String get registerText => "Зареєструватися";

  @override
  String get resetPasswordButtonLabel => "Скинути пароль";

  @override
  String get sendLinkButtonLabel => "Надіслати посилання для реєстрації";

  @override
  String get signInActionText => "Увійти";

  @override
  String get signInHintText => "Уже маєте обліковий запис?";

  @override
  String get signInMethods => "Способи входу";

  @override
  String get signInText => "Увійти";

  @override
  String get signInWithAppleButtonText => "Увійти через обліковий запис Apple";

  @override
  String get signInWithEmailLinkSentText =>
      "Ми надіслали вам лист із посиланням для реєстрації. Перевірте електронну пошту та перейдіть за посиланням, щоб увійти.";

  @override
  String get signInWithEmailLinkViewTitleText =>
      "Увійти за допомогою посилання для реєстрації";

  @override
  String get signInWithFacebookButtonText => "Увійти через Facebook";

  @override
  String get signInWithGoogleButtonText => "Увійти через Google";

  @override
  String get signInWithPhoneButtonText => "Увійти за допомогою телефона";

  @override
  String get signInWithTwitterButtonText => "Увійти через Twitter";

  @override
  String get signOutButtonText => "Вийти";

  @override
  String get smsAutoresolutionFailedError =>
      "Не вдалось автоматично розпізнати код у SMS. Введіть його вручну.";

  @override
  String get southInitialLabel => "південь";

  @override
  String get stringLabel => "сегмент";

  @override
  String get timestampLabel => "позначка часу";

  @override
  String get typeLabel => "тип";

  @override
  String get unknownError => "Сталася невідома помилка";

  @override
  String get updateLabel => "оновити";

  @override
  String get userNotFoundErrorText => "Обліковий запис не існує";

  @override
  String get valueLabel => "значення";

  @override
  String get verifyCodeButtonText => "Підтвердити";

  @override
  String get verifyingSMSCodeText => "Підтвердження коду в SMS…";

  @override
  String get verifyItsYouText => "Підтвердьте свою особу";

  @override
  String get verifyPhoneNumberButtonText => "Далі";

  @override
  String get westInitialLabel => "захід";

  @override
  String get wrongOrNoPasswordErrorText =>
      "У користувача немає пароля або він недійсний";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
