// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class ZhLocalizations extends FirebaseUILocalizationLabels {
  const ZhLocalizations();

  @override
  String get accessDisabledErrorText => "对此帐号的访问权限已被临时停用";

  @override
  String get arrayLabel => "数组";

  @override
  String get booleanLabel => "布尔值";

  @override
  String get cancelLabel => "取消";

  @override
  String get chooseACountry => "选择国家/地区";

  @override
  String get confirmPasswordDoesNotMatchErrorText => "两次输入的密码不相同";

  @override
  String get confirmPasswordInputLabel => "确认密码";

  @override
  String get confirmPasswordIsRequiredErrorText => "确认密码";

  @override
  String get continueText => "继续";

  @override
  String get countryCode => "代码";

  @override
  String get credentialAlreadyInUseErrorText => "此提供方已与其他用户帐号关联。";

  @override
  String get deleteAccount => "删除帐号";

  @override
  String get differentMethodsSignInTitleText => "使用以下方法进行登录";

  @override
  String get disable => "停用";

  @override
  String get eastInitialLabel => "E";

  @override
  String get emailInputLabel => "电子邮件";

  @override
  String get emailIsRequiredErrorText => "必须填写电子邮件地址";

  @override
  String get emailLinkSignInButtonLabel => "使用魔力链接登录";

  @override
  String get emailTakenErrorText => "已存在使用此电子邮件地址的帐号";

  @override
  String get enable => "启用";

  @override
  String get enableMoreSignInMethods => "启用更多登录方法";

  @override
  String get enterSMSCodeText => "输入短信验证码";

  @override
  String get findProviderForEmailTitleText => "输入您的电子邮件地址以继续";

  @override
  String get forgotPasswordButtonLabel => "忘记了密码？";

  @override
  String get forgotPasswordHintText => "请提供您的电子邮件地址，我们将为您发送用于重置密码的链接";

  @override
  String get forgotPasswordViewTitle => "忘记了密码";

  @override
  String get geopointLabel => "GeoPoint";

  @override
  String get goBackButtonLabel => "返回";

  @override
  String get invalidCountryCode => "代码无效";

  @override
  String get isNotAValidEmailErrorText => "请提供有效的电子邮件地址";

  @override
  String get latitudeLabel => "纬度";

  @override
  String get linkEmailButtonText => "下一步";

  @override
  String get longitudeLabel => "经度";

  @override
  String get mapLabel => "地图";

  @override
  String get mfaTitle => "两步验证";

  @override
  String get name => "名称";

  @override
  String get northInitialLabel => "N";

  @override
  String get nullLabel => "null";

  @override
  String get numberLabel => "数字";

  @override
  String get off => "已关闭";

  @override
  String get on => "已开启";

  @override
  String get passwordInputLabel => "密码";

  @override
  String get passwordIsRequiredErrorText => "必须提供密码";

  @override
  String get passwordResetEmailSentText => "我们已向您发送包含密码重置链接的电子邮件。请查收电子邮件。";

  @override
  String get phoneInputLabel => "电话号码";

  @override
  String get phoneNumberInvalidErrorText => "电话号码无效";

  @override
  String get phoneNumberIsRequiredErrorText => "必须填写电话号码";

  @override
  String get phoneVerificationViewTitleText => "输入您的电话号码";

  @override
  String get profile => "个人资料";

  @override
  String get provideEmail => "请提供您的电子邮件地址和密码";

  @override
  String get referenceLabel => "参考";

  @override
  String get registerActionText => "注册";

  @override
  String get registerHintText => "没有帐号吗？";

  @override
  String get registerText => "注册";

  @override
  String get resetPasswordButtonLabel => "重置密码";

  @override
  String get sendLinkButtonLabel => "发送魔力链接";

  @override
  String get signInActionText => "登录";

  @override
  String get signInHintText => "已经有帐号了？";

  @override
  String get signInMethods => "登录方法";

  @override
  String get signInText => "登录";

  @override
  String get signInWithAppleButtonText => "使用 Apple 帐号登录";

  @override
  String get signInWithEmailLinkSentText =>
      "我们已向您发送包含魔力链接的电子邮件。请查收电子邮件，并使用链接登录";

  @override
  String get signInWithEmailLinkViewTitleText => "使用魔力链接登录";

  @override
  String get signInWithFacebookButtonText => "使用 Facebook 帐号登录";

  @override
  String get signInWithGoogleButtonText => "使用 Google 帐号登录";

  @override
  String get signInWithPhoneButtonText => "使用电话号码登录";

  @override
  String get signInWithTwitterButtonText => "使用 Twitter 帐号登录";

  @override
  String get signOutButtonText => "退出帐号";

  @override
  String get smsAutoresolutionFailedError => "未能自动解析短信验证码。请手动输入您的验证码";

  @override
  String get southInitialLabel => "S";

  @override
  String get stringLabel => "字符串";

  @override
  String get timestampLabel => "时间戳";

  @override
  String get typeLabel => "类型";

  @override
  String get unknownError => "发生未知错误";

  @override
  String get updateLabel => "更新";

  @override
  String get userNotFoundErrorText => "帐号不存在";

  @override
  String get valueLabel => "值";

  @override
  String get verifyCodeButtonText => "验证";

  @override
  String get verifyingSMSCodeText => "正在验证短信验证码…";

  @override
  String get verifyItsYouText => "请验证是您本人";

  @override
  String get verifyPhoneNumberButtonText => "下一步";

  @override
  String get westInitialLabel => "W";

  @override
  String get wrongOrNoPasswordErrorText => "密码无效，或者用户没有密码";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
