// Copyright 2023, the Chromium project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.
import '../default_localizations.dart';

class ZhTWLocalizations extends FirebaseUILocalizationLabels {
  const ZhTWLocalizations();

  @override
  String get accessDisabledErrorText => "這個帳戶暫時無法存取";

  @override
  String get arrayLabel => "陣列";

  @override
  String get booleanLabel => "布林值";

  @override
  String get cancelLabel => "取消";

  @override
  String get chooseACountry => "選擇國家/地區";

  @override
  String get confirmPasswordDoesNotMatchErrorText => "密碼不相符";

  @override
  String get confirmPasswordInputLabel => "確認密碼";

  @override
  String get confirmPasswordIsRequiredErrorText => "確認密碼";

  @override
  String get continueText => "繼續";

  @override
  String get countryCode => "代碼";

  @override
  String get credentialAlreadyInUseErrorText => "這個提供者已與其他使用者帳戶相關聯。";

  @override
  String get deleteAccount => "刪除帳戶";

  @override
  String get differentMethodsSignInTitleText => "使用以下其中一種方式登入";

  @override
  String get disable => "停用";

  @override
  String get eastInitialLabel => "東";

  @override
  String get emailInputLabel => "電子郵件";

  @override
  String get emailIsRequiredErrorText => "必須輸入電子郵件地址";

  @override
  String get emailLinkSignInButtonLabel => "使用 Magic Link 登入";

  @override
  String get emailTakenErrorText => "已有帳戶使用這個電子郵件地址";

  @override
  String get enable => "啟用";

  @override
  String get enableMoreSignInMethods => "啟用更多登入方式";

  @override
  String get enterSMSCodeText => "輸入簡訊驗證碼";

  @override
  String get findProviderForEmailTitleText => "如要繼續操作，請輸入電子郵件地址";

  @override
  String get forgotPasswordButtonLabel => "忘記密碼？";

  @override
  String get forgotPasswordHintText => "請提供電子郵件地址，我們會將重設密碼的連結傳送給你";

  @override
  String get forgotPasswordViewTitle => "忘記密碼";

  @override
  String get geopointLabel => "地理點";

  @override
  String get goBackButtonLabel => "返回";

  @override
  String get invalidCountryCode => "代碼無效";

  @override
  String get isNotAValidEmailErrorText => "請提供有效的電子郵件地址";

  @override
  String get latitudeLabel => "緯度";

  @override
  String get linkEmailButtonText => "下一步";

  @override
  String get longitudeLabel => "經度";

  @override
  String get mapLabel => "地圖";

  @override
  String get mfaTitle => "兩步驟驗證";

  @override
  String get name => "名稱";

  @override
  String get northInitialLabel => "北";

  @override
  String get nullLabel => "空值";

  @override
  String get numberLabel => "數字";

  @override
  String get off => "已停用";

  @override
  String get on => "已啟用";

  @override
  String get passwordInputLabel => "密碼";

  @override
  String get passwordIsRequiredErrorText => "必須輸入密碼";

  @override
  String get passwordResetEmailSentText => "我們已透過電子郵件將重設密碼的連結傳送給你。請查看電子郵件信箱。";

  @override
  String get phoneInputLabel => "電話號碼";

  @override
  String get phoneNumberInvalidErrorText => "電話號碼無效";

  @override
  String get phoneNumberIsRequiredErrorText => "必須輸入電話號碼";

  @override
  String get phoneVerificationViewTitleText => "輸入電話號碼";

  @override
  String get profile => "個人資料";

  @override
  String get provideEmail => "請提供電子郵件地址和密碼";

  @override
  String get referenceLabel => "參照";

  @override
  String get registerActionText => "註冊";

  @override
  String get registerHintText => "沒有帳戶嗎？";

  @override
  String get registerText => "註冊";

  @override
  String get resetPasswordButtonLabel => "重設密碼";

  @override
  String get sendLinkButtonLabel => "傳送 Magic Link";

  @override
  String get signInActionText => "登入";

  @override
  String get signInHintText => "已經有帳戶了嗎？";

  @override
  String get signInMethods => "登入方式";

  @override
  String get signInText => "登入";

  @override
  String get signInWithAppleButtonText => "使用 Apple 帳戶登入";

  @override
  String get signInWithEmailLinkSentText =>
      "我們已透過電子郵件將 Magic Link 傳送給你。請查看電子郵件信箱，並使用該連結登入";

  @override
  String get signInWithEmailLinkViewTitleText => "使用 Magic Link 登入";

  @override
  String get signInWithFacebookButtonText => "使用 Facebook 帳戶登入";

  @override
  String get signInWithGoogleButtonText => "使用 Google 帳戶登入";

  @override
  String get signInWithPhoneButtonText => "使用電話號碼登入";

  @override
  String get signInWithTwitterButtonText => "使用 Twitter 帳戶登入";

  @override
  String get signOutButtonText => "登出";

  @override
  String get smsAutoresolutionFailedError => "無法自動解析簡訊驗證碼。請手動輸入驗證碼";

  @override
  String get southInitialLabel => "南";

  @override
  String get stringLabel => "字串";

  @override
  String get timestampLabel => "時間戳記";

  @override
  String get typeLabel => "類型";

  @override
  String get unknownError => "發生不明錯誤";

  @override
  String get updateLabel => "更新";

  @override
  String get userNotFoundErrorText => "帳戶不存在";

  @override
  String get valueLabel => "值";

  @override
  String get verifyCodeButtonText => "驗證";

  @override
  String get verifyingSMSCodeText => "正在驗證簡訊驗證碼…";

  @override
  String get verifyItsYouText => "請驗證身分";

  @override
  String get verifyPhoneNumberButtonText => "下一步";

  @override
  String get westInitialLabel => "西";

  @override
  String get wrongOrNoPasswordErrorText => "密碼無效或使用者未輸入密碼";

  @override
  String get uploadButtonText => "Upload file";

  @override
  String get verifyEmailTitle => "Verify your email";

  @override
  String get verificationEmailSentText =>
      "A verification email has been sent to your email address. Please check your email and click on the link to verify your email address.";

  @override
  String get verificationFailedText =>
      "We couldn't verify your email address. ";

  @override
  String get resendVerificationEmailButtonLabel => "Resend verification email";

  @override
  String get verificationEmailSentTextShort => "Verification email sent";

  @override
  String get emailIsNotVerifiedText => "Email is not verified";

  @override
  String get waitingForEmailVerificationText =>
      "Waiting for email verification";

  @override
  String get dismissButtonLabel => "Dismiss";

  @override
  String get okButtonLabel => "OK";

  @override
  String get checkEmailHintText =>
      "Please check your email and click the link to verify your email address.";

  @override
  String get doneButtonLabel => "Done";

  @override
  String get invalidVerificationCodeErrorText =>
      "The code you entered is invalid. Please try again.";
}
